> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List connectors

> List all connectors in the workspace



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /connection/connectors/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /connection/connectors/list:
    get:
      tags:
        - Connection - Connectors
      summary: List connectors
      description: List all connectors in the workspace
      parameters:
        - in: query
          name: integrationSlug
          schema:
            title: Integration slug
            description: Filter connectors by integration slug.
            type: string
          description: Filter connectors by integration slug.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  connectors:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            uuid:
                              type: string
                            workspaceUuid:
                              type: string
                            userUuid:
                              type: string
                            name:
                              type: string
                            slug:
                              type: string
                            rateLimit:
                              anyOf:
                                - type: object
                                  properties:
                                    unit:
                                      type: string
                                      enum:
                                        - day
                                        - hour
                                        - minute
                                        - second
                                    max:
                                      type: number
                                  required:
                                    - unit
                                    - max
                                  additionalProperties: false
                                - type: 'null'
                            cacheTtlMilliseconds:
                              anyOf:
                                - type: number
                                - type: 'null'
                            integrationSlug:
                              type: string
                            isDefault:
                              type: boolean
                            playsCount:
                              type: number
                            toolsCount:
                              type: number
                            modelsCount:
                              type: number
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            deletedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - uuid
                            - workspaceUuid
                            - userUuid
                            - name
                            - slug
                            - rateLimit
                            - cacheTtlMilliseconds
                            - integrationSlug
                            - isDefault
                            - playsCount
                            - toolsCount
                            - modelsCount
                            - createdAt
                            - updatedAt
                            - deletedAt
                          additionalProperties: false
                        - anyOf:
                            - type: object
                              properties:
                                useCredits:
                                  type: boolean
                                  const: true
                                config:
                                  type: 'null'
                              required:
                                - useCredits
                                - config
                              additionalProperties: false
                            - type: object
                              properties:
                                useCredits:
                                  type: boolean
                                  const: false
                                config:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                              required:
                                - useCredits
                                - config
                              additionalProperties: false
                    title: Connectors
                    description: List of connectors.
                required:
                  - connectors
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````